﻿using Syncfusion.Drawing;
using Syncfusion.Windows.Forms.Chart;
using System;
using System.Drawing;
using System.Windows.Forms;

namespace WindowsFormsApplication11
{
    public partial class Form1 : Form
    {
        private Color[] colors;
        ChartControl chart = new ChartControl();
        public Form1()
        {
            InitializeComponent();
            
        }      
        private void Form1_Load(object sender, EventArgs e)
        {       
         

            chart.Size = new System.Drawing.Size(500, 500);
            ChartSeries series1 = new ChartSeries();
            series1.Type = ChartSeriesType.Scatter;
            series1.Name = "Car";
            series1.Text = series1.Name;

            series1.Points.Add(1, 3);
            series1.Points.Add(2, 7);
            series1.Points.Add(3, 12);
            series1.Points.Add(4, 18);
            series1.Points.Add(5, 22);
            series1.Points.Add(6, 30);
            chart.Series.Add(series1);
            chart.PrimaryXAxis.ValueType = ChartValueType.Double;
            chart.Legend.MouseHover+=Legend_MouseHover;
 
            this.Controls.Add(chart);

            chart.Series[0].ScatterConnectType = ScatterConnectType.Line;
            Color[] color1 = new Color[] { Color.Blue};
            Color[] color2 = new Color[] { Color.Red };
            

            chart.Series[0].Style.Interior = new Syncfusion.Drawing.BrushInfo(GradientStyle.None, color1);
            chart.Legend.Border.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
            chart.Legend.Border.ForeColor = System.Drawing.Color.Red;
 
            chart.Legend.RepresentationType = ChartLegendRepresentationType.Diamond;
             chart.LegendsPlacement = ChartPlacement.Outside;
             chart.LegendPosition = ChartDock.Top;                
        }
        private ToolTip toolTip = new ToolTip();
        void Legend_MouseHover(object sender, EventArgs e)
        {
            Point p1 =this.chart.Legend.PointToClient(new Point(Control.MousePosition.X, Control.MousePosition.Y));
            ChartLegendItem item = chart.Legend.GetItemBy(p1);
            if (item != null)
                this.toolTip.Show(item.Text, chart.Legend, p1.X + 10, p1.Y + 10, 3000);
        }
                
   }    
   
}
